Subject: Fw: LLPS Contact Us Submission
From: "LLPS Customer Service" <[email-masked]>
To: "Amber Blais" <[email-masked]>
Date: Wed, 20 Nov 2013 17:06:11 -0500

Thank you,
Michael B
LLPS

From: LLPS 
Sent: Wednesday, November 20, 2013 4:57 PM
To: [email-masked] 
Subject: LLPS Contact Us Submission

Name: Lauri Van Hofwegen

Company: Good News Fellowship Church

E-mail Address: [email-masked]

Telephone: Not specified

Message: I received posters today along with a billing notice and I never
ordered them through this website. Order number is 1755235nd the
customer id number is 361572845. Can you send me a copy of the
original order and please advise how to return what I have already
received. Thank you very much

Request generated on November 20th, 2013 at 4:57 PM EST from the IP address 71.227.220.234